catalog.collection.reorder
Set the manual order of a collection’s pinned products (sort must be manual).
- Scope:
catalog.product.write - System: no
- Reachable from:
POST /v1/commands/catalog.collection.reorder(tenant credential) · MCP toolcatalog.collection.reorder· SDKclient.call('catalog.collection.reorder', …) - Events:
catalog.collection.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "collection_id": { "minLength": 1, "type": "string" }, "product_ids": { "items": { "minLength": 1, "type": "string" }, "minItems": 1, "type": "array" } }, "required": [ "collection_id", "product_ids" ], "type": "object"}Result (200)
Section titled “Result (200)”Open (unknown) — this command does not declare an output schema.
Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)